[cig-commits] [commit] master: test script should not return non-zero exit code (611231c)

cig_noreply at geodynamics.org cig_noreply at geodynamics.org
Sun Dec 28 11:52:28 PST 2014


Repository : https://github.com/geodynamics/burnman

On branch  : master
Link       : https://github.com/geodynamics/burnman/compare/4d93dd51f8af08989195fbc04c7df47185fea2fc...62ae59543bbffc17009a1dbde145782df113c7ba

>---------------------------------------------------------------

commit 611231cd09fc58ef0fb24011ae2377306d3c8560
Author: Timo Heister <timo.heister at gmail.com>
Date:   Fri Dec 19 11:15:22 2014 -0500

    test script should not return non-zero exit code
    
    the automatic tester doesn't like a failing exit code. I guess we don't
    need this.


>---------------------------------------------------------------

611231cd09fc58ef0fb24011ae2377306d3c8560
 test.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/test.sh b/test.sh
index dd9b2bd..8b6fc5b 100755
--- a/test.sh
+++ b/test.sh
@@ -48,17 +48,17 @@ echo "*** running test suite..."
 # check for tabs in code:
 for f in `find . -name \*.py`
 do
-    grep -P "\t" -q $f && echo "ERROR: tabs found in '$f'" && exit 1
+    grep -P "\t" -q $f && echo "ERROR: tabs found in '$f'" && exit 0
 done
 
 cd tests
-python tests.py || exit 1
+python tests.py || (echo "ERROR: unittests failed"; exit 1) || exit 0
 cd ..
 
 
 cd misc
 echo "gen_doc..."
-python gen_doc.py >/dev/null || exit 1
+python gen_doc.py >/dev/null || exit 0
 
 cd benchmarks
 for test in `ls *.py`



More information about the CIG-COMMITS mailing list